<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">

    <!-- parameters: -->
    <!--    <ui:param name="gui" value="#{reporter}"/>-->
    <!--    <ui:param name="sub" value="#{report.subReport}"/>-->

    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
        <ui:define name="panel_title">
            <h:outputText value="#{gui.getLabel(sub.name)}"/>
            <h:outputText styleClass="gzl-label gzl-label-#{gui.getColor(sub.subReportResult)}" style="margin-left:10px" value="#{gui.getLabel(sub.subReportResult)}"/>
        </ui:define>
        <ui:param name="panel_id" value="#{gui.getCode(sub.name)}Pane"/>
        <s:div rendered="#{not gui.isUndefined(sub.subReportResult)}">
        <dl class="dl-horizontal">
            <dt><h:outputText value="#{messages['gazelle.evs.client.validationCounters']}"/></dt>
            <dd>
                <ui:decorate template="/common/_counters.xhtml">
                    <ui:param name="counters" value="#{sub.subCounters}"/>
                    <ui:param name="reporter" value="#{gui}"/>
                </ui:decorate>
            </dd>
        </dl>
        </s:div>

        <div class="row">
            <div role="complementary" class="col-md-2 col-sd-2">
                <nav class="gzl-sidebar">
                    <!-- TODO
                    <ul class="nav">
                        <li>
                            <a class="mainCriteria" data-value="severity" onclick="changeCriteriaStatus('severity')"><span class="fa fa-check-square-o" id="severity"></span> Severity</a>
                            <ul style="display:block;" class="nav" id="severityEntries">
                                <li>
                                    <a onclick="showHide(this)" class="nostate" data-value="error"><span class="statlabel">Erreurs</span><span data-value="error" class="statvalue"></span></a>
                                </li>
                                <li>
                                    <a onclick="showHide(this)" class="nostate" data-value="warning"><span class="statlabel">Alertes</span><span data-value="warning" class="statvalue"></span></a>
                                </li>
                                <li>
                                    <a onclick="showHide(this)" class="nostate" data-value="info"><span class="statlabel">Informations</span><span data-value="info" class="statvalue"></span></a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <input id="selectedLocation" data-value="none" type="hidden"/><a onclick="resetFilters()"><b>RAZ des filtres</b></a>
                        </li>
                    </ul>
                    -->
                </nav>
            </div>
            <s:div id="#{gui.getCode(sub.name)}ConstraintsPane" styleClass="col-md-10 col-sd-10" rendered="#{not gui.isUndefined(sub.subReportResult)}">
                <ui:repeat var="constraint" value="#{gui.getConstraintsLimited(sub)}">
                    <ui:decorate template="/common/_constraint.xhtml">
                        <ui:param name="gui" value="#{gui}"/>
                        <ui:param name="constraint" value="#{constraint}"/>
                        <ui:param name="prettyView" value="#{prettyView}"/>
                        <ui:param name="enableEyeNavigator" value="#{enableEyeNavigator}"/>
                    </ui:decorate>
                </ui:repeat>
                <h:panelGroup rendered="#{gui.isSubReportTrimmed(sub)}">
                    <div class="gzl-alert gzl-alert-blue" >
                        #{messages['net.ihe.gazelle.evs.OnlyTheFirst']} #{gui.getConstraintsLimit()} #{messages['net.ihe.gazelle.evs.ReportsAreDisplayedDownloadTheReportToAccessTheC']}
                    </div>
                </h:panelGroup>
            </s:div>
            <s:div id="#{gui.getCode(sub.name)}ExceptionPane" styleClass="col-md-10 col-sd-10">
                <ui:repeat var="unexpectedError" value="#{sub.unexpectedErrors}">
                    <ui:decorate template="/common/_unexpectederror.xhtml">
                        <ui:param name="error" value="#{unexpectedError}"/>
                        <ui:param name="gui" value="#{gui}" />
                    </ui:decorate>
                </ui:repeat>
            </s:div>
        </div>
    </ui:decorate>

</ui:composition>